Notifications
Tags: alerts, notifications
Endpoints
GET- ListPOST /dismiss-all- Dismiss AllGET /unread-count- Unread CountGET /{notification_id}- Get Notification IdPOST /{notification_id}/dismiss- DismissPOST /{notification_id}/read- Read
List
GET /api/v2/w/{workspace_uuid}/notifications
Description:
Notification management
List all notifications for the authenticated user.
Authentication: Requires workspace member
Parameters:
page(Integer)pageSize(Integer)
Response: See PaginatedResponse[NotificationResponse]
Dismiss All
POST /api/v2/w/{workspace_uuid}/notifications/dismiss-all
Description:
Notification management
Dismiss all notifications for the current member.
Authentication: Requires workspace member
Response: See dict
Unread Count
GET /api/v2/w/{workspace_uuid}/notifications/unread-count
Description:
Notification management
Get the number of unread notifications for the authenticated user.
Authentication: Requires workspace member
Response: See int
Get Notification Id
GET /api/v2/w/{workspace_uuid}/notifications/{notification_id}
Description:
Notification management
Get a specific notification by ID.
Authentication: Requires workspace member
Parameters:
notification_id(Integer)
Response: See NotificationResponse
Dismiss
POST /api/v2/w/{workspace_uuid}/notifications/{notification_id}/dismiss
Description:
Notification management
Dismiss a notification.
Authentication: Requires workspace member
Parameters:
notification_id(Integer)
Response: See NotificationResponse
Read
POST /api/v2/w/{workspace_uuid}/notifications/{notification_id}/read
Description:
Notification management
Mark a notification as read.
Authentication: Requires workspace member
Parameters:
notification_id(Integer)
Response: See NotificationResponse